import * as React from "react";
interface IChildrenProps {
    api: {
        toggleNode: Tree["toggleNode"];
        getTree: () => ITreeState["tree"];
    };
}
interface IConfigItem {
    id: string;
    title: string;
    children?: IConfigItem[];
}
declare type TreeType = INode[];
interface INode extends IConfigItem {
    active: boolean;
    children: TreeType;
}
interface ITreeProps {
    config: IConfigItem[];
    activeId?: string;
    children: (childrenProps: IChildrenProps) => React.ReactNode;
}
interface ITreeState {
    tree: TreeType;
}
export declare class Tree extends React.Component<ITreeProps, ITreeState> {
    state: ITreeState;
    private treeMap;
    toggleNode: (event: React.SyntheticEvent<HTMLElement, Event>) => void;
    componentDidMount(): void;
    render(): React.ReactNode;
    private createTreeExtender;
    private setTreeState;
    private initializeTree;
    private extendOnToggle;
    private createTreeMap;
}
export {};
